### Signal

# SpiceClientGLib SmartcardManager::card-removed

#### Declaration

    void
    card_removed (
      SpiceSmartcardManager* self,
      SpiceClientGLibVReader* vreader,
      gpointer user_data
    )

#### Description [src]

The `SpiceSmartcardManager::card-removed` signal is emitted whenever a smartcard was removed from a reader.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.

#### Parameters

`vreader`

  Type: `SpiceClientGLibVReader*`

  `VReader` boxed object corresponding to the reader a card was removed from.

  The data is owned by the caller of the function.